@use '../../../global/styles-variables' as *;


:host {
  display: block;

  .digi-docs-home-content-blocks {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: stretch;
    padding-block: var(--digi--global--spacing--largest-7);

    &--media-right {
      .digi-docs-home-content-blocks__media {
        order: 0;

        @media screen and (min-width: $digi--breakpoint--xx-large) {
          order: 1;
          flex: 1 0 0;

          .digi-docs-home-content-blocks__media-image {
            margin-left: auto;
            margin-right: auto;
          }
        }
      }

      .digi-docs-home-content-blocks__text {
        padding-left: 0;
      }
    }

    &__text {
      padding-right: var(--digi--padding--large);
      padding-left: var(--digi--padding--large);
    }

    &__heading {
      margin-bottom: var(--digi--global--spacing--largest-3);
    }

    &__preamble {
      margin-top: var(--digi--global--spacing--base);
      margin-bottom: var(--digi--global--spacing--largest-3);
      max-width: var(--digi--paragraph-width--large);
      width: 100%;
    }

    &__media {
      &-image {
        display: block;
        max-width: 400px;
        margin-top: 0px;
      }
    }

    @media screen and (max-width: $digi--breakpoint--xx-large) {
      flex-direction: column;

      &__text {
        padding-left: 0px;
      }
    }

    @media screen and (min-width: $digi--breakpoint--xx-large) {
      h2 {
        margin-top: 0px;
      }
    }
  }

  .digi-docs-home-quote-block {
    --digi--typography--heading-2--font-size--desktop-large: 24px;
    margin: 50px 0 26px;
  }
}



/*@use '../../../global/styles-variables' as *;

:host {
	display: block;
  .digi-docs-home-content-blocks {

    &__item{
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;
      align-items: stretch;
      padding: var(--digi--global--spacing--largest-7) 0px var(--digi--global--spacing--largest-8) 0;
    }
    
    &__text {
      padding-right: var(--digi--padding--large);
      padding-left: var(--digi--padding--large);
    }

    &__heading{
      margin-bottom: var(--digi--global--spacing--largest-3);
    }
    
    &__preamble {
      margin-top: var(--digi--global--spacing--base);
      margin-bottom: var(--digi--global--spacing--largest-3);
      max-width: var(--digi--paragraph-width--large);
      width: 100%;
    }

  }
}*/